package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_audit
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsAudit implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 审批编号
     */
    private String auditNo;

    /**
     * 业务类型
     */
    private Integer vocationalWorkType;

    /**
     * 业务类型名称
     */
    private String vocationalWorkTypeName;

    /**
     * 审核对象id
     */
    private Long auditObjectId;

    /**
     * 审核对象名称
     */
    private String auditObjectName;

    /**
     * 提交人
     */
    private Long opUserId;

    /**
     * 提交人名称
     */
    private String opUserName;

    /**
     * 审核人id
     */
    private Long reviewedUserId;

    /**
     * 审核人名称
     */
    private String reviewedUserName;

    /**
     * 状态  1：待审核   2：审核通过   3：审核驳回
     */
    private Integer status;

    /**
     * 驳回原因
     */
    private String rejectReason;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAuditNo() {
        return auditNo;
    }

    public void setAuditNo(String auditNo) {
        this.auditNo = auditNo;
    }

    public Integer getVocationalWorkType() {
        return vocationalWorkType;
    }

    public void setVocationalWorkType(Integer vocationalWorkType) {
        this.vocationalWorkType = vocationalWorkType;
    }

    public String getVocationalWorkTypeName() {
        return vocationalWorkTypeName;
    }

    public void setVocationalWorkTypeName(String vocationalWorkTypeName) {
        this.vocationalWorkTypeName = vocationalWorkTypeName;
    }

    public Long getAuditObjectId() {
        return auditObjectId;
    }

    public void setAuditObjectId(Long auditObjectId) {
        this.auditObjectId = auditObjectId;
    }

    public String getAuditObjectName() {
        return auditObjectName;
    }

    public void setAuditObjectName(String auditObjectName) {
        this.auditObjectName = auditObjectName;
    }

    public Long getOpUserId() {
        return opUserId;
    }

    public void setOpUserId(Long opUserId) {
        this.opUserId = opUserId;
    }

    public String getOpUserName() {
        return opUserName;
    }

    public void setOpUserName(String opUserName) {
        this.opUserName = opUserName;
    }

    public Long getReviewedUserId() {
        return reviewedUserId;
    }

    public void setReviewedUserId(Long reviewedUserId) {
        this.reviewedUserId = reviewedUserId;
    }

    public String getReviewedUserName() {
        return reviewedUserName;
    }

    public void setReviewedUserName(String reviewedUserName) {
        this.reviewedUserName = reviewedUserName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsAudit other = (BsAudit) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getAuditNo() == null ? other.getAuditNo() == null : this.getAuditNo().equals(other.getAuditNo()))
            && (this.getVocationalWorkType() == null ? other.getVocationalWorkType() == null : this.getVocationalWorkType().equals(other.getVocationalWorkType()))
            && (this.getVocationalWorkTypeName() == null ? other.getVocationalWorkTypeName() == null : this.getVocationalWorkTypeName().equals(other.getVocationalWorkTypeName()))
            && (this.getAuditObjectId() == null ? other.getAuditObjectId() == null : this.getAuditObjectId().equals(other.getAuditObjectId()))
            && (this.getAuditObjectName() == null ? other.getAuditObjectName() == null : this.getAuditObjectName().equals(other.getAuditObjectName()))
            && (this.getOpUserId() == null ? other.getOpUserId() == null : this.getOpUserId().equals(other.getOpUserId()))
            && (this.getOpUserName() == null ? other.getOpUserName() == null : this.getOpUserName().equals(other.getOpUserName()))
            && (this.getReviewedUserId() == null ? other.getReviewedUserId() == null : this.getReviewedUserId().equals(other.getReviewedUserId()))
            && (this.getReviewedUserName() == null ? other.getReviewedUserName() == null : this.getReviewedUserName().equals(other.getReviewedUserName()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getRejectReason() == null ? other.getRejectReason() == null : this.getRejectReason().equals(other.getRejectReason()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getAuditNo() == null) ? 0 : getAuditNo().hashCode());
        result = prime * result + ((getVocationalWorkType() == null) ? 0 : getVocationalWorkType().hashCode());
        result = prime * result + ((getVocationalWorkTypeName() == null) ? 0 : getVocationalWorkTypeName().hashCode());
        result = prime * result + ((getAuditObjectId() == null) ? 0 : getAuditObjectId().hashCode());
        result = prime * result + ((getAuditObjectName() == null) ? 0 : getAuditObjectName().hashCode());
        result = prime * result + ((getOpUserId() == null) ? 0 : getOpUserId().hashCode());
        result = prime * result + ((getOpUserName() == null) ? 0 : getOpUserName().hashCode());
        result = prime * result + ((getReviewedUserId() == null) ? 0 : getReviewedUserId().hashCode());
        result = prime * result + ((getReviewedUserName() == null) ? 0 : getReviewedUserName().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getRejectReason() == null) ? 0 : getRejectReason().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", auditNo=").append(auditNo);
        sb.append(", vocationalWorkType=").append(vocationalWorkType);
        sb.append(", vocationalWorkTypeName=").append(vocationalWorkTypeName);
        sb.append(", auditObjectId=").append(auditObjectId);
        sb.append(", auditObjectName=").append(auditObjectName);
        sb.append(", opUserId=").append(opUserId);
        sb.append(", opUserName=").append(opUserName);
        sb.append(", reviewedUserId=").append(reviewedUserId);
        sb.append(", reviewedUserName=").append(reviewedUserName);
        sb.append(", status=").append(status);
        sb.append(", rejectReason=").append(rejectReason);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}